Cyclic Index
POST /api/v1/cyclic-index
POST
/api/v1/cyclic-index
Calculate the André Barbault Cyclic Index — sum of all outer planet separations — for a date range to indicate global crisis periods.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Example
{ "startDate": "2020-01-01", "endDate": "2025-12-31", "stepDays": 30}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }}